package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 * date: 2021-10-24
 **/
public class FaultTypeBean {

    private int pageNum;
    private int pageSize;
    private int size;
    private int startRow;
    private int endRow;
    private int total;
    private int pages;
    private List<ListBean> list;
    private int prePage;
    private int nextPage;
    private boolean isFirstPage;
    private boolean isLastPage;
    private boolean hasPreviousPage;
    private boolean hasNextPage;
    private int navigatePages;
    private List<Integer> navigatepageNums;
    private int navigateFirstPage;
    private int navigateLastPage;
    private int firstPage;
    private int lastPage;

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getStartRow() {
        return startRow;
    }

    public void setStartRow(int startRow) {
        this.startRow = startRow;
    }

    public int getEndRow() {
        return endRow;
    }

    public void setEndRow(int endRow) {
        this.endRow = endRow;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public int getPrePage() {
        return prePage;
    }

    public void setPrePage(int prePage) {
        this.prePage = prePage;
    }

    public int getNextPage() {
        return nextPage;
    }

    public void setNextPage(int nextPage) {
        this.nextPage = nextPage;
    }

    public boolean isIsFirstPage() {
        return isFirstPage;
    }

    public void setIsFirstPage(boolean isFirstPage) {
        this.isFirstPage = isFirstPage;
    }

    public boolean isIsLastPage() {
        return isLastPage;
    }

    public void setIsLastPage(boolean isLastPage) {
        this.isLastPage = isLastPage;
    }

    public boolean isHasPreviousPage() {
        return hasPreviousPage;
    }

    public void setHasPreviousPage(boolean hasPreviousPage) {
        this.hasPreviousPage = hasPreviousPage;
    }

    public boolean isHasNextPage() {
        return hasNextPage;
    }

    public void setHasNextPage(boolean hasNextPage) {
        this.hasNextPage = hasNextPage;
    }

    public int getNavigatePages() {
        return navigatePages;
    }

    public void setNavigatePages(int navigatePages) {
        this.navigatePages = navigatePages;
    }

    public List<Integer> getNavigatepageNums() {
        return navigatepageNums;
    }

    public void setNavigatepageNums(List<Integer> navigatepageNums) {
        this.navigatepageNums = navigatepageNums;
    }

    public int getNavigateFirstPage() {
        return navigateFirstPage;
    }

    public void setNavigateFirstPage(int navigateFirstPage) {
        this.navigateFirstPage = navigateFirstPage;
    }

    public int getNavigateLastPage() {
        return navigateLastPage;
    }

    public void setNavigateLastPage(int navigateLastPage) {
        this.navigateLastPage = navigateLastPage;
    }

    public int getFirstPage() {
        return firstPage;
    }

    public void setFirstPage(int firstPage) {
        this.firstPage = firstPage;
    }

    public int getLastPage() {
        return lastPage;
    }

    public void setLastPage(int lastPage) {
        this.lastPage = lastPage;
    }

    public static class ListBean {
        private String id;
        private Object createDateTime;
        private Object updateDateTime;
        private String failureCode;
        private Object failureChildId;
        private Object failureChildCode;
        private Object code;
        private String description;
        private Object childDescription;
        private Object parentId;
        private String orgId;
        private Object createby;
        private Object changeby;
        private Object faultNumber;
        private String orgName;
        private Object createbyName;
        private Object changebyName;
        private Object childList;
        private Object astFailurelistList;
        private boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public Object getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(Object createDateTime) {
            this.createDateTime = createDateTime;
        }

        public Object getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(Object updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getFailureCode() {
            return failureCode;
        }

        public void setFailureCode(String failureCode) {
            this.failureCode = failureCode;
        }

        public Object getFailureChildId() {
            return failureChildId;
        }

        public void setFailureChildId(Object failureChildId) {
            this.failureChildId = failureChildId;
        }

        public Object getFailureChildCode() {
            return failureChildCode;
        }

        public void setFailureChildCode(Object failureChildCode) {
            this.failureChildCode = failureChildCode;
        }

        public Object getCode() {
            return code;
        }

        public void setCode(Object code) {
            this.code = code;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public Object getChildDescription() {
            return childDescription;
        }

        public void setChildDescription(Object childDescription) {
            this.childDescription = childDescription;
        }

        public Object getParentId() {
            return parentId;
        }

        public void setParentId(Object parentId) {
            this.parentId = parentId;
        }

        public String getOrgId() {
            return orgId;
        }

        public void setOrgId(String orgId) {
            this.orgId = orgId;
        }

        public Object getCreateby() {
            return createby;
        }

        public void setCreateby(Object createby) {
            this.createby = createby;
        }

        public Object getChangeby() {
            return changeby;
        }

        public void setChangeby(Object changeby) {
            this.changeby = changeby;
        }

        public Object getFaultNumber() {
            return faultNumber;
        }

        public void setFaultNumber(Object faultNumber) {
            this.faultNumber = faultNumber;
        }

        public String getOrgName() {
            return orgName;
        }

        public void setOrgName(String orgName) {
            this.orgName = orgName;
        }

        public Object getCreatebyName() {
            return createbyName;
        }

        public void setCreatebyName(Object createbyName) {
            this.createbyName = createbyName;
        }

        public Object getChangebyName() {
            return changebyName;
        }

        public void setChangebyName(Object changebyName) {
            this.changebyName = changebyName;
        }

        public Object getChildList() {
            return childList;
        }

        public void setChildList(Object childList) {
            this.childList = childList;
        }

        public Object getAstFailurelistList() {
            return astFailurelistList;
        }

        public void setAstFailurelistList(Object astFailurelistList) {
            this.astFailurelistList = astFailurelistList;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
